# DaprProtos.RegisterActorTimerRequest (dapr-sdk-parent 1.14.1 API)
declaration: package: io.dapr.v1, class: DaprProtos, class: RegisterActorTimerRequest

Package io.dapr.v1

# Class DaprProtos.RegisterActorTimerRequest

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.DaprProtos.RegisterActorTimerRequest

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.RegisterActorTimerRequestOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

public static final class DaprProtos.RegisterActorTimerRequest extends com.google.protobuf.GeneratedMessageV3 implements DaprProtos.RegisterActorTimerRequestOrBuilder

     RegisterActorTimerRequest is the message to register a timer for an actor of a given type and id.

Protobuf type `dapr.proto.runtime.v1.RegisterActorTimerRequest`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DaprProtos.RegisterActorTimerRequest.Builder`
RegisterActorTimerRequest is the message to register a timer for an actor of a given type and id.

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ACTOR_ID_FIELD_NUMBER`
`static final int`
`ACTOR_TYPE_FIELD_NUMBER`
`static final int`
`CALLBACK_FIELD_NUMBER`
`static final int`
`DATA_FIELD_NUMBER`
`static final int`
`DUE_TIME_FIELD_NUMBER`
`static final int`
`NAME_FIELD_NUMBER`
`static final int`
`PERIOD_FIELD_NUMBER`
`static final int`
`TTL_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getActorId()`
`string actor_id = 2 [json_name = "actorId"];`
`com.google.protobuf.ByteString`
`getActorIdBytes()`
`string actor_id = 2 [json_name = "actorId"];`
`String`
`getActorType()`
`string actor_type = 1 [json_name = "actorType"];`
`com.google.protobuf.ByteString`
`getActorTypeBytes()`
`string actor_type = 1 [json_name = "actorType"];`
`String`
`getCallback()`
`string callback = 6;`
`com.google.protobuf.ByteString`
`getCallbackBytes()`
`string callback = 6;`
`com.google.protobuf.ByteString`
`getData()`
`bytes data = 7;`
`static DaprProtos.RegisterActorTimerRequest`
`getDefaultInstance()`
`DaprProtos.RegisterActorTimerRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`String`
`getDueTime()`
`string due_time = 4 [json_name = "dueTime"];`
`com.google.protobuf.ByteString`
`getDueTimeBytes()`
`string due_time = 4 [json_name = "dueTime"];`
`String`
`getName()`
`string name = 3;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 3;`
`com.google.protobuf.Parser<DaprProtos.RegisterActorTimerRequest>`
`getParserForType()`
`String`
`getPeriod()`
`string period = 5;`
`com.google.protobuf.ByteString`
`getPeriodBytes()`
`string period = 5;`
`int`
`getSerializedSize()`
`String`
`getTtl()`
`string ttl = 8;`
`com.google.protobuf.ByteString`
`getTtlBytes()`
`string ttl = 8;`
`int`
`hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static DaprProtos.RegisterActorTimerRequest.Builder`
`newBuilder()`
`static DaprProtos.RegisterActorTimerRequest.Builder`
`newBuilder(DaprProtos.RegisterActorTimerRequest prototype)`
`DaprProtos.RegisterActorTimerRequest.Builder`
`newBuilderForType()`
`protected DaprProtos.RegisterActorTimerRequest.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.RegisterActorTimerRequest`
`parseDelimitedFrom(InputStream input)`
`static DaprProtos.RegisterActorTimerRequest`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.RegisterActorTimerRequest`
`parseFrom(byte[] data)`
`static DaprProtos.RegisterActorTimerRequest`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.RegisterActorTimerRequest`
`parseFrom(com.google.protobuf.ByteString data)`
`static DaprProtos.RegisterActorTimerRequest`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.RegisterActorTimerRequest`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.RegisterActorTimerRequest`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.RegisterActorTimerRequest`
`parseFrom(InputStream input)`
`static DaprProtos.RegisterActorTimerRequest`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.RegisterActorTimerRequest`
`parseFrom(ByteBuffer data)`
`static DaprProtos.RegisterActorTimerRequest`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.RegisterActorTimerRequest>`
`parser()`
`DaprProtos.RegisterActorTimerRequest.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### ACTOR_TYPE_FIELD_NUMBER

public static final int ACTOR_TYPE_FIELD_NUMBER

See Also:
  - Constant Field Values

### ACTOR_ID_FIELD_NUMBER

public static final int ACTOR_ID_FIELD_NUMBER

See Also:
  - Constant Field Values

### NAME_FIELD_NUMBER

public static final int NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### DUE_TIME_FIELD_NUMBER

public static final int DUE_TIME_FIELD_NUMBER

See Also:
  - Constant Field Values

### PERIOD_FIELD_NUMBER

public static final int PERIOD_FIELD_NUMBER

See Also:
  - Constant Field Values

### CALLBACK_FIELD_NUMBER

public static final int CALLBACK_FIELD_NUMBER

See Also:
  - Constant Field Values

### DATA_FIELD_NUMBER

public static final int DATA_FIELD_NUMBER

See Also:
  - Constant Field Values

### TTL_FIELD_NUMBER

public static final int TTL_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getActorType

public String getActorType()
`string actor_type = 1 [json_name = "actorType"];`

Specified by:
  `getActorType` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The actorType.

### getActorTypeBytes

public com.google.protobuf.ByteString getActorTypeBytes()
`string actor_type = 1 [json_name = "actorType"];`

Specified by:
  `getActorTypeBytes` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The bytes for actorType.

### getActorId

public String getActorId()
`string actor_id = 2 [json_name = "actorId"];`

Specified by:
  `getActorId` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The actorId.

### getActorIdBytes

public com.google.protobuf.ByteString getActorIdBytes()
`string actor_id = 2 [json_name = "actorId"];`

Specified by:
  `getActorIdBytes` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The bytes for actorId.

### getName

public String getName()
`string name = 3;`

Specified by:
  `getName` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()
`string name = 3;`

Specified by:
  `getNameBytes` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The bytes for name.

### getDueTime

public String getDueTime()
`string due_time = 4 [json_name = "dueTime"];`

Specified by:
  `getDueTime` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The dueTime.

### getDueTimeBytes

public com.google.protobuf.ByteString getDueTimeBytes()
`string due_time = 4 [json_name = "dueTime"];`

Specified by:
  `getDueTimeBytes` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The bytes for dueTime.

### getPeriod

public String getPeriod()
`string period = 5;`

Specified by:
  `getPeriod` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The period.

### getPeriodBytes

public com.google.protobuf.ByteString getPeriodBytes()
`string period = 5;`

Specified by:
  `getPeriodBytes` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The bytes for period.

### getCallback

public String getCallback()
`string callback = 6;`

Specified by:
  `getCallback` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The callback.

### getCallbackBytes

public com.google.protobuf.ByteString getCallbackBytes()
`string callback = 6;`

Specified by:
  `getCallbackBytes` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The bytes for callback.

### getData

public com.google.protobuf.ByteString getData()
`bytes data = 7;`

Specified by:
  `getData` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The data.

### getTtl

public String getTtl()
`string ttl = 8;`

Specified by:
  `getTtl` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The ttl.

### getTtlBytes

public com.google.protobuf.ByteString getTtlBytes()
`string ttl = 8;`

Specified by:
  `getTtlBytes` in interface `DaprProtos.RegisterActorTimerRequestOrBuilder`
Returns:
  The bytes for ttl.

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static DaprProtos.RegisterActorTimerRequest parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.RegisterActorTimerRequest parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.RegisterActorTimerRequest parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.RegisterActorTimerRequest parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.RegisterActorTimerRequest parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.RegisterActorTimerRequest parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.RegisterActorTimerRequest parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.RegisterActorTimerRequest parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.RegisterActorTimerRequest parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.RegisterActorTimerRequest parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.RegisterActorTimerRequest parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.RegisterActorTimerRequest parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public DaprProtos.RegisterActorTimerRequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static DaprProtos.RegisterActorTimerRequest.Builder newBuilder()

### newBuilder

public static DaprProtos.RegisterActorTimerRequest.Builder newBuilder(DaprProtos.RegisterActorTimerRequest prototype)

### toBuilder

public DaprProtos.RegisterActorTimerRequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected DaprProtos.RegisterActorTimerRequest.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static DaprProtos.RegisterActorTimerRequest getDefaultInstance()

### parser

public static com.google.protobuf.Parser<DaprProtos.RegisterActorTimerRequest> parser()

### getParserForType

public com.google.protobuf.Parser<DaprProtos.RegisterActorTimerRequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public DaprProtos.RegisterActorTimerRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`